> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finsei.com/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /v1/wallet/{id}/deposit/bank



## OpenAPI

````yaml POST /v1/wallet/{id}/deposit/bank
openapi: 3.1.0
info:
  title: Finsei API
  description: API documentation for Finsei
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.finsei.com
security:
  - bearerAuth: []
paths:
  /v1/wallet/{id}/deposit/bank:
    post:
      tags:
        - wallet
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
        - in: query
          name: validate
          schema:
            default: 0
            type: integer
            enum:
              - 0
              - 1
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletDepositBank'
      responses:
        '200':
          description: OK or VALIDATE
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/WalletDepositBankResult'
                  - $ref: '#/components/schemas/ValidateResult'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    WalletDepositBank:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: deposit intent UUID (optional)
        payerId:
          type: string
          format: uuid
          description: payer UUID
        amount:
          type: number
          description: deposit amount
        successUrl:
          type: string
          format: uri
          description: URL for redirecting after successful payment
        cancelUrl:
          type: string
          format: uri
          description: URL for redirecting after cancelling payment
        expiryUrl:
          type: string
          format: uri
          description: URL for redirecting after consent expiration
        countryId:
          type: string
          minLength: 2
          maxLength: 2
          description: >-
            Payer country ISO 3166-1 alpha-2 code; client country is used by
            default
          example: LV
      required:
        - payerId
        - amount
    WalletDepositBankResult:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID of the deposit operation
          example: 00000000-0000-0000-0000-000000000000
        redirectUrl:
          type: string
          format: uri
          description: URL of the bank page where the user must confirm the payment
          example: https://bank.example.com/payment
      required:
        - id
        - redirectUrl
    ValidateResult:
      type: object
      properties:
        status:
          type: string
          example: VALIDATE
        errors:
          type: object
          additionalProperties:
            type: string
          example:
            email: Email cannot be blank.
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Unauthorized
              message:
                type: string
                example: Your request was made with invalid credentials.
              status:
                type: integer
                example: 401
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Forbidden
              message:
                type: string
                example: String
              status:
                type: integer
                example: 403
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            type: object
            properties:
              name:
                type: string
                example: Not Found
              message:
                type: string
                example: The requested resource could not be found.
              status:
                type: integer
                example: 404
          example:
            status: ERROR
            error:
              code: 404
              message: Not Found
    ValidationError:
      description: Validation Error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: ERROR
              errors:
                type: object
                example:
                  email: Email cannot be blank.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.